{% extends '::base.html.twig' %}

{% block bread %}
    {{ parent() }}
    <li>Location</li>
{% endblock %}

{% block title %}Location - {{ parent() }}{% endblock %}

{% block body %}
    <div class="container container-sr">

        <h2 class="primary-hr-i">
            {{ ion('information-circled') }} {{ block_title('about.description') }}
        </h2>

        <div class="about-text">
            {{ block_content('about.description') }}
        </div>

    </div>

    <div class="container-sr-odd">
        <div class="container">

            <div class="about-location">
                <div class="about-address">

                    <h3 class="primary-hr-i">
                        {{ ion('android-call') }} {{ block_title('about.phone') }}
                    </h3>

                    <div class="info-phone-and-address">
                        <p>{{ config('phone', 'No Phone') }}</p>
                    </div>

                    <h3 class="primary-hr-i hr-extra-top">
                        {{ ion('ios-clock') }} Our <em>Hours</em>
                    </h3>

                    {% include 'AppBundle:fragment:location-hours.html.twig' with { 'hours': hours } only %}

                </div>

                <div class="about-map">

                    <h3 class="primary-hr-i">
                        {{ ion('navigate') }} Get <em>Directions</em>
                    </h3>

                    <div class="info-phone-and-address">
                        <p>{{ config('address', 'No Address') }}</p>
                    </div>

                    <div class="card is-linkable is-animated" data-href="{{ directionsUri }}">

                        <div class="card-section-head is-overlay">
                            <span class="fa-stack fa-lg">
                              <i class="fa fa-circle fa-stack-2x"></i>
                              <i class="fa fa-map-marker fa-stack-1x fa-inverse"></i>
                            </span>
                            <p>Get direction from Google Maps <i class="fa fa-long-arrow-right"></i></p>
                        </div>

                        <div class="card-section-body">
                            <img src="{{ staticMaps }}" alt="{{ block_content('about.address') }}" />
                        </div>

                        <div class="card-section-foot is-overlay is-toggleable">
                            <img src="{{ streetView }}" alt="{{ block_content('about.address') }}" />
                        </div>

                    </div>

                </div>
            </div>

        </div>
    </div>

{% endblock %}
